Click or drag to resize

IntersectionMeshPolyline Method

Finds the intersection of a mesh and a polyline.

Namespace:  Rhino.Geometry.Intersect
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public static Point3d[] MeshPolyline(
	Mesh mesh,
	PolylineCurve curve,
	out int[] faceIds
)

Parameters

mesh
Type: Rhino.GeometryMesh
A mesh to intersect.
curve
Type: Rhino.GeometryPolylineCurve
A polyline curves to intersect.
faceIds
Type: SystemInt32
The indices of the intersecting faces. This out reference is assigned during the call.

Return Value

Type: Point3d
An array of points: one for each face that was passed by the faceIds out reference.
Version Information

Rhino for Mac

Supported in: 5.4

Rhino for Windows

Supported in: 6.8
See Also